/**
 * AutomateWoo Activate
 */

jQuery(function($) {

	AutomateWoo.Activate = {

		$activate_button: $( '#aw-activate-submit' ),
		$deactivate_button: $( '#aw-deactivate-submit' ),


		init: function(){

			AutomateWoo.Activate.$activate_button.click(function(){
				AutomateWoo.Activate.activate();
			});

			AutomateWoo.Activate.$deactivate_button.click(function(){
				AutomateWoo.Activate.deactivate();
			});

		},


		/**
		 * Do ajax call
		 */
		activate: function(){

			var text_initial = this.$activate_button.val(),
				text_loading = this.$activate_button.data('loading-text');

			this.$activate_button.val( text_loading ).addClass('disabled').blur();

			// Remove notices
			AutomateWoo.notices.clear_all();

			$.ajax({
				method: 'POST',
				url: ajaxurl,
				data: {
					action: 'aw_activate',
					license: $('#aw-license-key').val(),
				}
			})
				.done(function(response){

					console.log( response );

					if ( response.success ) {
						$('.aw-license-nag').remove();
						AutomateWoo.notices.success( response.data.message, $('.automatewoo-licence-container') );

						setTimeout(function(){
							location.reload();
						}, 700);
					}
					else {
						AutomateWoo.notices.error( response.data.message, $('.automatewoo-licence-container') );
					}

					AutomateWoo.Activate.$activate_button.val( text_initial ).removeClass('disabled');
				})

				.fail(function(response){
					console.log( response );
				})
			;
		},



		/**
		 * Do ajax call
		 */
		deactivate: function(){

			var text_initial = this.$deactivate_button.val(),
				text_loading = this.$deactivate_button.data('loading-text');

			this.$deactivate_button.val( text_loading ).addClass('disabled').blur();

			// Remove notices
			$('.aw-notice').remove();

			$.ajax({
				method: 'POST',
				url: ajaxurl,
				data: {
					action: 'aw_deactivate',
					license: $('#aw-license-key').val(),
				}
			})
				.done(function(response){

					console.log( response );

					if ( response.success ) {
						$('.nav-tab-wrapper:first').after('<div class="aw-notice updated fade"><p><strong>' + response.data.message + '</strong></p></div>');

						setTimeout(function(){
							location.reload();
						}, 700);
					}
					else {
						$('.nav-tab-wrapper:first').after('<div class="aw-notice error fade"><p><strong>' + response.data.message + '</strong></p></div>');
					}

					AutomateWoo.Activate.$deactivate_button.val( text_initial ).removeClass('disabled');


				})

				.fail(function(response){
					console.log( response );
				})
			;
		}

	};


	AutomateWoo.Activate.init();

});