/**
 * AutomateWoo Tools
 */

jQuery(function($) {

    AutomateWoo.Tools = {


        init: function(){

            $('.aw_tools_table').on( 'click', '[data-aw-tool-submit]', this.tool_submit );

        },



        tool_submit: function(e) {
            e.preventDefault();

            var $btn = $(this);
            $btn.blur();

            var data = {
                action: 'aw_process_tool',
                tool_id: $btn.data('aw-tool-submit'),
                nonce: $btn.data('aw-tool-nonce'),
                args: {}
            };

            // get any options
            $('[data-aw-tool="' + data.tool_id + '"]').each(function(){
                data.args[$(this).attr('name')] = $(this).val();
            });

            if ( ! confirm('Are you sure? This can not be undone.') ) {
                return false;
            }

            $.post( ajaxurl, data, function(response) {
                console.log(response);

                if ( response.data && response.data.message ) {
                    alert( response.data.message )
                }
            });
        }


    };


    AutomateWoo.Tools.init();

});