<?php
/**
 * @class 		AW_Admin_Tools
 * @package		AutomateWoo/Admin
 * @since 		2.2
 */

class AW_Admin_Tools
{
	/**
	 * @param $args
	 * @return bool
	 */
	static function reset_workflow_records( $args )
	{
		if ( empty( $args['workflow'] ) ) return false;

		if ( ! $workflow = new AW_Model_Workflow( absint( $args['workflow'] ) ) )
			return false;

		$workflow->set_times_run(0);

		$queries = array('AW_Query_Logs', 'AW_Query_Unsubscribes', 'AW_Query_Queue' );

		foreach ( $queries as $class )
		{
			$query = new $class();
			$query->where('workflow_id', $workflow->id );

			$results = $query->get_results();

			if ( $results ) foreach( $results as $result )
			{
				$result->delete();
			}
		}

		return true;
	}
}