<?php
/**
 * @var $action AW_Action
 * @var $action_number AW_Action
 * @var $iframe string
 */

AutomateWoo()->admin->register_scripts();

wp_enqueue_style('dashicons');
wp_enqueue_style('wp-admin');
wp_enqueue_style('buttons');
wp_enqueue_script('jquery');
wp_enqueue_script( 'automatewoo-email-preview' );

if ( ! $test_emails = get_user_meta( get_current_user_id(), 'automatewoo_email_preview_test_emails', true ) )
{
	$user = wp_get_current_user();
	$test_emails = $user->user_email;
}

?>

<html>

	<head>
		<title><?php _e('AutomateWoo Email Preview', 'automatewoo') ?></title>
		<link rel='stylesheet' id='open-sans-css'  href='https://fonts.googleapis.com/css?family=Open+Sans%3A300italic%2C400italic%2C600italic%2C300%2C400%2C600&#038;subset=latin%2Clatin-ext&#038;ver=4.4.2' type='text/css' media='all' />
		<link rel="stylesheet" href="<?php echo AutomateWoo()->assets_url . 'css/email-preview.css' ?>">

		<script type="text/javascript">
			var ajaxurl = '<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>'
		</script>

		<?php print_admin_styles() ?>
		<?php print_head_scripts() ?>

	</head>

	<body class="wp-core-ui wp-admin">

	<div class="email-preview-container">
		<div class="email-preview-header">

			<div class="email-preview-header-left">
				<div class="from"><strong><?php _e('From', 'automatewoo') ?>:</strong> <?php echo WC_Emails::instance()->get_from_name() ?> &lt;<?php echo WC_Emails::instance()->get_from_address() ?>&gt;</div>
				<div class="from"><strong><?php _e('Subject', 'automatewoo') ?>:</strong> <?php echo $action->get_option('subject', true ) ?></div>
			</div>

			<div class="email-preview-header-right">
				<form class="email-preview-send-test-form">
					<input type="text" value="<?php echo $test_emails ?>" name="to_emails" class="email-input" placeholder="<?php _e( 'Comma separate emails...', 'automatewoo') ?>">
					<input type="hidden" name="action_number" value="<?php echo $action_number ?>" >
					<input type="hidden" name="workflow_id" value="<?php echo $action->workflow->id ?>">
					<button type="submit" class="button-secondary"><?php _e('Send test', 'automatewoo') ?></button>
				</form>
			</div>

		</div>

		<iframe class="email-iframe" src="<?php echo $iframe ?>" width="100%" frameborder="0"></iframe>
	</div>


	<?php print_late_styles() ?>
	<?php print_footer_scripts() ?>

	</body>
</html>

