<?php
/**
 * @var $workflow
 */

?>

	<table class="aw-table">
		<tbody>

			<tr class="aw-field js-trigger-options-queueing">
				<td class="aw-input">

					<label>Run Actions <img class="tips" data-tip="<?php echo __( "Use this to delay actions being run by a set period of time after the initial trigger event. These queued events are visible in the WooCommerce Reports section.", 'automatewoo' ) ?>" src="<?php echo WC()->plugin_url() ?>/assets/images/help.png"></label>

					<?php

					$field = new AW_Field_Select( false );
					$field->set_name_base('aw_workflow_data[workflow_options]');
					$field->set_name('when_to_run');
					$field->set_options(array(
						'immediately' => __('Immediately', 'automatewoo'),
						'delayed' => __('After a Set Period', 'automatewoo'),
						'datetime' => __( 'At a Variable DateTime', 'automatewoo')
					));
					$field->set_classes('js-when-to-run-select');
					$field->render( $workflow ? $workflow->get_option('when_to_run') : '' );

					?>

					<div class="field-cols field-gap js-when-to-run-delayed hidden">
						<div class="col-1">

							<?php

							$field = new AW_Field_Number_Input();
							$field->set_name_base('aw_workflow_data[workflow_options]');
							$field->set_name('run_delay_value');
							$field->set_name('run_delay_value');
							$field->set_placeholder( __('Number of', 'automatewoo') );
							$field->set_min( '0' );
							$field->render( $workflow ? $workflow->get_option('run_delay_value') : '' );

							?>
						</div>

						<div class="col-2">
							<?php

							$field = new AW_Field_Select( false );
							$field->set_name_base('aw_workflow_data[workflow_options]');
							$field->set_name('run_delay_unit');
							$field->set_options(array(
								'h' => __('Hours', 'automatewoo'),
								'm' => __('Minutes', 'automatewoo'),
								'd' => __('Days', 'automatewoo'),
								'w' => __('Weeks', 'automatewoo')
							));
							$field->render( $workflow ? $workflow->get_option('run_delay_unit') : '' );

							?>

						</div>
					</div>

					<div class="js-when-to-run-datetime field-gap hidden">

						<?php

						$field = new AW_Field_Text_Area();
						$field->set_rows(3);
						$field->set_name_base('aw_workflow_data[workflow_options]');
						$field->set_name('queue_datetime');
						$field->set_classes('aw-input-monospaced');
						$field->add_extra_attr('spellcheck', 'false');
						$field->set_placeholder( __('e.g. {{ subscription.next_payent_date | modify: -1 day }}', 'automatewoo') );
						$field->render( $workflow ? $workflow->get_option('queue_datetime') : '' );

						?>

					</div>


				</td>
			</tr>


			<tr class="aw-field">
				<td class="aw-input">

					<label>Enable Email Tracking <img class="tips" data-tip="<?php echo __( "If checked clicks and opens will be tracked on any email sent to an email address that belongs to one of the site's users. Reports will be visible on the WooCommerce Reports page.", 'automatewoo' ) ?>" src="<?php echo WC()->plugin_url() ?>/assets/images/help.png"></label>

					<?php

					$field = new AW_Field_Checkbox();
					$field->set_name_base('aw_workflow_data[workflow_options]');
					$field->set_name('click_tracking');
					$field->set_classes('aw-checkbox-enable-click-tracking');
					$field->render( $workflow ? $workflow->get_option('click_tracking') : '' );

					?>

				</td>
			</tr>


			<tr class="aw-field js-require-email-tracking">
				<td class="aw-input">

					<label>Enable Conversion Tracking <img class="tips" data-tip="<?php echo __( "Check to enable conversion tracking on purchases. Reports will be visible on the WooCommerce Reports page.", 'automatewoo' ) ?>" src="<?php echo WC()->plugin_url() ?>/assets/images/help.png"></label>

					<?php

					$field = new AW_Field_Checkbox();
					$field->set_name_base('aw_workflow_data[workflow_options]');
					$field->set_name('conversion_tracking');
					$field->set_classes('aw-checkbox-enable-conversion-tracking');
					$field->render( $workflow ? $workflow->get_option('conversion_tracking') : '' );

					?>

				</td>
			</tr>


			<tr class="aw-field js-require-email-tracking">
				<td class="aw-input">

					<label><?php _e( 'Google Analytics Link Tracking', 'automatewoo' ) ?> <img class="tips" data-tip="<?php _e('This will be appended to every URL in the email content or SMS body.', 'automatewoo' ) ?>" src="<?php echo WC()->plugin_url() ?>/assets/images/help.png"></label>

					<?php

					$field = new AW_Field_Text_Area();
					$field->set_rows(3);
					$field->set_name_base('aw_workflow_data[workflow_options]');
					$field->set_name('ga_link_tracking');
					$field->set_classes('aw-input-monospaced');
					$field->add_extra_attr('spellcheck', 'false');
					$field->set_placeholder( 'e.g. utm_source=automatewoo&utm_medium=email&utm_campaign=example' );
					$field->render( $workflow ? $workflow->get_option('ga_link_tracking') : '' )

					?>

				</td>
			</tr>


			<tr class="aw-field">
				<td class="aw-input">

					<label><?php _e( 'Order', 'automatewoo' ) ?> <img class="tips" data-tip="<?php _e('The order that workflows get run.', 'automatewoo' ) ?>" src="<?php echo WC()->plugin_url() ?>/assets/images/help.png"></label>

					<?php

					global $post;

					$field = new AW_Field_Number_Input();
					$field->set_name('menu_order');
					$field->render( $post ? $post->menu_order : '' )

					?>

				</td>
			</tr>


		</tbody>

	</table>


