<?php

$licence = AutomateWoo()->licence->get();
$licence_type = AutomateWoo()->licence->get_type();

if ( $licence )
{
	$obscured_key = substr( $licence['key'], 0, 6 ) . str_repeat( '&bull;', 40 );
}

?>

<div class="automatewoo-licence-container">

	<h3><?php _e( 'Licence', 'automatewoo' ); ?></h3>

	<?php if( $licence_type ): ?>
		<p><code><?php _e( 'Status', 'automatewoo' ); ?>: <strong><?php echo strtoupper( $licence_type ); ?></strong></code></p>
	<?php endif; ?>

	<?php if ( $licence['expiry'] ): ?>
		<p><code><?php _e( 'Expires', 'automatewoo' ); ?>: <strong><?php echo aw_display_date( strtotime( $licence['expiry'] ) ); ?></strong></code></p>
	<?php endif; ?>


	<p><?php printf(
			__( 'To unlock updates, please enter your license key below. If you don\'t have a licence key, please see <a href="%s" target="_blank">details & pricing</a>.', 'automatewoo' ),
			AutomateWoo()->website_url
		); ?></p>

	<p><?php printf(
			__( 'Development installs do not count against your licence activation limit. For more info please see <a href="%s" target="_blank">our documentation</a>.', 'automatewoo' ),
			AutomateWoo()->url_license_docs
		); ?></p>

	<table class="form-table">
		<tbody>

		<tr>

			<th scope="row" class="titledesc">
				<label for="aw-license-key"><?php _e('Licence Key', 'automatewoo' ) ?></label>
			</th>

			<td class="forminp">

				<fieldset>
					<legend class="screen-reader-text"><span><?php _e('Licence Key', 'automatewoo' ) ?></span></legend>
					<input class="input-text regular-input"
							 type="text"
							 id="aw-license-key"
							 value="<?php echo ( $licence ? $obscured_key : '' ) ?>"
						<?php echo ( $licence ? 'disabled' : '' ) ?>
						>
				</fieldset>
			</td>
		</tr>


		<tr valign="top">

			<th scope="row"></th>

			<td>

				<fieldset>
					<?php if ( $licence ): ?>
						<input id="aw-deactivate-submit" name="deactivate-license"
								 class="button-primary" type="button"
								 data-loading-text="<?php _e( 'Deactivating...', 'automatewoo' ); ?>"
								 value="<?php _e( 'Deactivate licence', 'automatewoo' ); ?>"
							>
					<?php else: ?>
						<input id="aw-activate-submit" name="activate-license"
								 class="button-primary" type="button"
								 data-loading-text="<?php _e( 'Activating...', 'automatewoo' ); ?>"
								 value="<?php _e( 'Activate licence', 'automatewoo' ); ?>"
							>
					<?php endif; ?>
				</fieldset>

			</td>
		</tr>

		</tbody>
	</table>


</div>
