<?php
/**
 * @class       AW_Field_Email_Content
 * @package     AutomateWoo/Fields
 * @since       1.0.0
 */

class AW_Field_Email_Content extends AW_Field
{
	protected $default_title = 'Email Content';

	protected $default_name = 'email_content';

	protected $type = 'email-content';


	public function __construct()
	{
		$this->set_description(__( 'The contents of this field will be wrapped in the WooCommerce mailer.', 'automatewoo' ));
	}


	/**
	 * @param $value
	 *
	 * @return void
	 */
	public function render( $value )
	{
		$id = uniqid();

		wp_editor( $value, $id, $settings = array(
			'textarea_name' => $this->get_full_name(),
			'tinymce' => true, // default to visual
			'quicktags' => true,
		));


		if ( is_ajax() )
		{
			\_WP_Editors::enqueue_scripts();
			print_footer_scripts();
			\_WP_Editors::editor_js();
		}

	}



}