<?php
/**
 * @class       AW_Field_Shipping_Methods
 * @package     AutomateWoo/Fields
 */

class AW_Field_Shipping_Methods extends AW_Field_Select
{
	protected $default_title = 'Shipping Methods';

	protected $default_name = 'shipping_methods';

	protected $type = 'select';

	public $multiple = true;


	/**
	 */
	public function __construct()
	{
		$this->set_description( __( 'Only trigger when the order is placed with certain shipping methods.', 'automatewoo'  ) );

		$options = array();

		foreach ( WC()->shipping()->get_shipping_methods() as $method_id => $method ) {
			$options[$method_id] = $method->get_title();
		}

		$this->set_options( $options );
	}

}