<?php
/**
 * @class       AW_Field_Subscription_Products
 * @package     AutomateWoo/Fields
 * @since       2.0.0
 */

class AW_Field_Subscription_Products extends AW_Field_Select
{
	protected $default_title = 'Subscription Products';

	protected $default_name = 'subscription_products';

	protected $type = 'select';

	public $multiple = true;


	/**
	 * @return void
	 */
	public function __construct()
	{
		$options = array();

		$subscriptions = get_posts(array(
			'post_type' => 'product',
			'posts_per_page' => -1,
			'tax_query' => array(
				array(
					'taxonomy' => 'product_type',
					'field'    => 'slug',
					'terms'    => array( 'subscription','variable-subscription' ),
				),
			),
		));

		foreach ( $subscriptions as $subscription )
		{
			$options[$subscription->ID] = $subscription->post_title;
		}

		$this->set_options( $options );
	}


}