<?php
/**
 * @class       AW_Field_Workflow
 * @package     AutomateWoo/Fields
 */

class AW_Field_Workflow extends AW_Field_Select
{
	protected $default_title = 'Workflow';

	protected $default_name = 'workflow';

	protected $type = 'select';


	/**
	 *
	 */
	public function __construct()
	{
		$this->title = __('Workflow', 'automatewoo');
		$this->set_placeholder('- Select -');
	}


	/**
	 * @return array
	 */
	public function get_options()
	{
		$workflows = new WP_Query(array(
			'post_type' => AutomateWoo()->post_type,
			'post_status' => 'any',
			'posts_per_page' => -1
		));

		$options = array();

		if ( $workflows->have_posts() )
		{
			foreach( $workflows->posts as $workflow )
			{
				$options[$workflow->ID] = $workflow->post_title;
			}
		}

		$this->set_options( $options );

		return $this->options;
	}

}