<?php
/**
 * Static mailer API.
 *
 * Used to display dynamic AW content in email template files.
 *
 * @class 		AW_Mailer_API
 * @since		2.2
 * @package		AutomateWoo
 */

class AW_Mailer_API
{
	/**
	 * @var AW_Mailer
	 */
	static $mailer;

	/**
	 * @return bool|string
	 */
	static function email()
	{
		if ( ! self::$mailer ) return false;
		return self::$mailer->email;
	}


	/**
	 * @return bool|string
	 */
	static function subject()
	{
		if ( ! self::$mailer ) return false;
		return self::$mailer->subject;
	}


	/**
	 * @return bool|string
	 */
	static function unsubscribe_url()
	{
		if ( ! self::$mailer ) return false;
		return self::$mailer->get_unsubscribe_url();
	}

}


