<?php
/**
 * @class       AW_Model_Abandoned_Cart
 * @package     AutomateWoo/Models
 * @since       2.0.0
 *
 * @property string $user_id
 * @property string $guest_id
 * @property string $last_modified
 * @property array $items
 * @property string $total
 */

class AW_Model_Abandoned_Cart extends AW_Model
{
	/**
	 * @param bool|int $id
	 */
	public function __construct( $id = false )
	{
		$this->table_name = AutomateWoo()->table_name_abandoned_cart;

		if ( $id ) $this->get_by( 'id', $id );
	}


	/**
	 * Updates the stored cart with the current time and cart items
	 */
	public function sync()
	{
		$this->last_modified = current_time( 'mysql', true );
		$this->items = WC()->cart->get_cart_for_session();

		// force re calculate totals
		WC()->cart->calculate_totals();

		if ( WC()->cart->prices_include_tax )
		{
			$this->total = WC()->cart->cart_contents_total + WC()->cart->tax_total;
		}
		else
		{
			$this->total = WC()->cart->cart_contents_total;
		}

		$this->save();
	}


	/**
	 * @return AW_Model_Guest|bool
	 */
	public function get_guest()
	{
		$guest = new AW_Model_Guest( $this->guest_id );

		if ( ! $guest->exists ) return false;

		return $guest;
	}

}

