<?php
/**
 * Post Types
 *
 * Registers post types and taxonomies
 */

if( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly



class AW_Post_Types
{
	static function init()
	{
		add_action( 'init', array( __CLASS__, 'register_post_types' ), 5 );
	}


	static function register_post_types()
	{
		register_post_type( AutomateWoo()->post_type,
			apply_filters( 'automatewoo_register_post_type_' . AutomateWoo()->post_type,
				array(
					'labels'              => array(
						'name'               => __( 'Workflows', 'automatewoo' ),
						'singular_name'      => __( 'Workflow', 'automatewoo' ),
						'menu_name'          => _x( 'Workflows', 'Admin menu name', 'automatewoo' ),
						'add_new'            => __( 'Add Workflow', 'automatewoo' ),
						'add_new_item'       => __( 'Add New Workflow', 'automatewoo' ),
						'edit'               => __( 'Edit', 'automatewoo' ),
						'edit_item'          => __( 'Edit Workflow', 'automatewoo' ),
						'new_item'           => __( 'New Workflow', 'automatewoo' ),
						'view'               => __( 'View Workflow', 'automatewoo' ),
						'view_item'          => __( 'View Workflow', 'automatewoo' ),
						'search_items'       => __( 'Search Workflows', 'automatewoo' ),
						'not_found'          => __( 'No Workflows found', 'automatewoo' ),
						'not_found_in_trash' => __( 'No Workflows found in trash', 'automatewoo' ),
					),
					'description'         => __( 'This is where AutomateWoo Workflows are stored.', 'automatewoo' ),
					'public'              => false,
					'show_ui'             => apply_filters( 'automatewoo_show_ui', true, 'post-type' ),
					'capability_type'     => 'shop_order',
					'map_meta_cap'        => true,
					'publicly_queryable'  => false,
					'exclude_from_search' => true,
					'show_in_menu'        => current_user_can( 'manage_woocommerce' ) ? 'woocommerce' : true,
					'hierarchical'        => false,
					'show_in_nav_menus'   => false,
					'rewrite'             => false,
					'query_var'           => false,
					'supports'            => array( 'title', 'page-attributes' ),
					'has_archive'         => false,
				)
			)
		);


		do_action('automatewoo_after_register_post_types');
	}

}


