<?php
/**
 * @class       AW_Query_Workflows
 * @package     AutomateWoo/Queries
 */

class AW_Query_Workflows
{
	/**
	 * @var object
	 */
	public $trigger;

	/**
	 * @var int
	 */
	public $limit = -1;

	/**
	 * @param $trigger
	 */
	public function set_trigger($trigger)
	{
		$this->trigger = $trigger;
	}

	/**
	 * @param $i
	 */
	public function set_limit( $i )
	{
		$this->limit = $i;
	}

	/**
	 * @return false|array
	 */
	public function get_results()
	{
		$query_args = array(
			'post_type' => AutomateWoo()->post_type,
			'order' => 'ASC',
			'orderby' => 'menu_order',
			'posts_per_page' => $this->limit,
			'meta_query' => array()
		);

		if ( $this->trigger )
		{
			$query_args['meta_query'][] = array(
				'key' => 'trigger_name',
				'value' => $this->trigger->name,
			);
		}

		$posts = get_posts($query_args);

		if ( ! $posts )
			return false;


		$workflows = array();

		foreach ( $posts as $post )
		{
			$workflow = new AW_Model_Workflow($post);
			$workflow->trigger = $this->trigger;
			$workflows[] = $workflow;
		}

		return $workflows;

	}

}