<?php
/**
 * @class       AW_Trigger_Abstract_Order_Status_Base
 * @package     AutomateWoo/Triggers
 */

abstract class AW_Trigger_Abstract_Order_Status_Base extends AW_Trigger_Abstract_Order_Base
{
	public $group = 'Order';

	public $supplied_data_items = array( 'user', 'order', 'shop' );
	

	/**
	 * Add options to the trigger
	 */
	public function load_fields()
	{
		$this->add_field_validate_queued_order_status();

		parent::load_fields();
	}



	/**
	 * Route hooks through here
	 *
	 * @param $order_id
	 * @param bool $old_status
	 */
	public function catch_hooks( $order_id, $old_status = false )
	{
		$order = wc_get_order( $order_id );
		$user = $order->get_user();

		// order placed by a guest
		if ( ! $user )
		{
			$user = new AW_Model_Order_Guest( $order );
		}

		// bit of hack to pass in old status
		if ( $old_status )
		{
			$order->_aw_old_status = $old_status;
		}

		$this->maybe_run(array(
			'order' => $order,
			'user' => $user,
		));
	}



}
