<?php
/**
 *
 *
 * @class       AW_Trigger_Abstract_Subscriptions
 * @package     AutomateWoo/Triggers
 * @since       2.1.0
 */

abstract class AW_Trigger_Abstract_Subscriptions extends AW_Trigger
{
	public $group = 'Subscriptions';

	public $supplied_data_items = array( 'subscription', 'user', 'shop' );


	/**
	 * Checks if a user has all of the tags
	 *
	 * @param $subscription WC_Subscription
	 * @param $trigger AW_Trigger
	 *
	 * @return bool
	 */
	protected function validate_subscription_products_field( $subscription, $trigger )
	{
		$subscription_products = $trigger->get_option('subscription_products');

		// blank field == all
		if ( ! is_array( $subscription_products ) )
			return true;

		$line_items = $subscription->get_items();
		$included_product_ids = array();

		foreach ( $line_items as $line_item )
			$included_product_ids[] = $line_item['product_id'];

		if ( array_intersect( $included_product_ids, $subscription_products ) == false )
			return false;

		return true;
	}

}
