<?php
/**
 * @class       AW_Trigger_Order_Refunded
 * @package     AutomateWoo/Triggers
 */

class AW_Trigger_Order_Refunded extends AW_Trigger_Abstract_Order_Status_Base
{

	public $name = 'order_refunded';


	/**
	 * Construct
	 */
	public function init()
	{
		$this->title = __('Order Refunded', 'automatewoo');

		// Registers the trigger
		parent::init();
	}



	/**
	 * When could this trigger run?
	 */
	public function register_hooks()
	{
		add_action( 'woocommerce_order_status_refunded', array( $this, 'catch_hooks' ), 100, 1 );
	}



	/**
	 * @param $workflow
	 *
	 * @return bool
	 */
	public function validate_before_queued_event( $workflow )
	{
		// check parent
		if ( ! parent::validate_before_queued_event( $workflow ) )
			return false;

		$trigger = $workflow->get_trigger();
		$user = $workflow->get_data_item('user');
		$order = $workflow->get_data_item('order');

		if ( ! $user || ! $order )
			return false;

		// Option to validate order status
		if ( $trigger->get_option('validate_order_status_before_queued_run') )
		{
			if ( $order->get_status() !== 'refunded' )
				return false;
		}

		return true;
	}


}
