<?php
/**
 * Cart table.
 *
 * Can only be used with cart variables.
 *
 * @var array $cart_items
 * @var array $data_type
 *
 * Override this template by copying it to yourtheme/automatewoo/email/order-table.php
 *
 * @version 2.3.2
 */
?>

<?php if ( is_array( $cart_items ) ): ?>

	<table cellspacing="0" cellpadding="6" border="1" class="aw-order-table">
		<thead>
		<tr>
			<th class="td" scope="col" colspan="2" style="text-align:left;"><?php _e( 'Product', 'woocommerce' ); ?></th>
			<th class="td" scope="col" style="text-align:left;"><?php _e( 'Quantity', 'woocommerce' ); ?></th>
			<th class="td" scope="col" style="text-align:left;"><?php _e( 'Price', 'woocommerce' ); ?></th>
		</tr>
		</thead>
		<tbody>

		<?php

		$total = 0;
		$total_tax = 0;

		?>


		<?php foreach ( $cart_items as $item ): ?>

			<?php

			$product = wc_get_product( $item['product_id'] );

			$total_tax += $item['line_tax'];
			$total += $item['line_total'];

			?>

			<tr>
				<td width="115">
					<a href="<?php echo $product->get_permalink() ?>"><?php echo $product->get_image( 'thumbnail' ); ?></a>
				</td>
				<td><a href="<?php echo $product->get_permalink() ?>"><?php echo $product->get_title(); ?></a></td>
				<td><?php echo $item['quantity'] ?></td>
				<td><?php echo wc_price( $item['line_total'] ); ?></td>
			</tr>

		<?php endforeach; ?>

		</tbody>

		<tfoot>
			<tr>
				<th scope="row" colspan="3"><?php _e('Tax', 'automatewoo'); ?></th>
				<td><?php echo wc_price($total_tax); ?></td>
			</tr>
			<tr>
				<th scope="row" colspan="3"><?php _e('Total', 'automatewoo'); ?></th>
				<td><?php echo wc_price($total); ?></td>
			</tr>
		</tfoot>
	</table>



<?php endif; ?>